libstdc++: __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence > Class Template Reference

libstdc++

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence > Class Template Reference

`#include <vector>`

Inheritance diagram for __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >:
[legend]

## Protected Member Functions
constexpr | _Safe_vector (_Safe_vector &&__x) noexcept
constexpr | _Safe_vector (const _Safe_vector &) noexcept
constexpr | _Safe_vector (size_type __n) noexcept
bool | _M_requires_reallocation (size_type __elements) const noexcept
constexpr void | _M_update_guaranteed_capacity () noexcept
constexpr _Safe_vector & | operator= (_Safe_vector &&__x) noexcept
constexpr _Safe_vector & | operator= (const _Safe_vector &) noexcept

## Protected Attributes
size_type | _M_guaranteed_capacity

## Detailed Description

template<typename _SafeSequence, typename _BaseSequence>
class __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >

Base class for Debug Mode vector.

Adds information about the guaranteed capacity, which is useful for detecting code which relies on non-portable implementation details of the libstdc++ reallocation policy.

Definition at line 56 of file debug/vector.

## Constructor & Destructor Documentation

## ◆ _Safe_vector() [1/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( |  | ) |
| inlineconstexprprotectednoexcept

Definition at line 66 of file debug/vector.

## ◆ _Safe_vector() [2/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( | const _Safe_vector< _SafeSequence, _BaseSequence > & |  | ) |
| inlineconstexprprotectednoexcept

Definition at line 71 of file debug/vector.

## ◆ _Safe_vector() [3/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( | size_type | __n | ) |
| inlineconstexprprotectednoexcept

Definition at line 76 of file debug/vector.

## ◆ _Safe_vector() [4/4]

template<typename _SafeSequence, typename _BaseSequence>

__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector | ( | _Safe_vector< _SafeSequence, _BaseSequence > && | __x | ) |
| inlineconstexprprotectednoexcept

Definition at line 90 of file debug/vector.

## Member Function Documentation

## ◆ _M_requires_reallocation()

template<typename _SafeSequence, typename _BaseSequence>

bool __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_requires_reallocation | ( | size_type | __elements | ) | const
| inlineprotectednoexcept

Definition at line 107 of file debug/vector.

## ◆ _M_update_guaranteed_capacity()

template<typename _SafeSequence, typename _BaseSequence>

void __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_update_guaranteed_capacity | ( |  | ) |
| inlineconstexprprotectednoexcept

Definition at line 112 of file debug/vector.

## ◆ operator=() [1/2]

template<typename _SafeSequence, typename _BaseSequence>

_Safe_vector & __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::operator= | ( | _Safe_vector< _SafeSequence, _BaseSequence > && | __x | ) |
| inlineconstexprprotectednoexcept

Definition at line 96 of file debug/vector.

## ◆ operator=() [2/2]

template<typename _SafeSequence, typename _BaseSequence>

_Safe_vector & __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::operator= | ( | const _Safe_vector< _SafeSequence, _BaseSequence > & |  | ) |
| inlineconstexprprotectednoexcept

Definition at line 82 of file debug/vector.

## Member Data Documentation

## ◆ _M_guaranteed_capacity

template<typename _SafeSequence, typename _BaseSequence>

size_type __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_guaranteed_capacity
| protected

Definition at line 104 of file debug/vector.

The documentation for this class was generated from the following file:

- debug/vector